> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate E-Way Bill

> Generate E-Way Bill by providing consignor, consignee, transporter and products details.

#### Request body schema

<Card title="View request body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/e-way-bill/generate_e_way_bill.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json POST /gst/compliance/e-way-bill/consignor/bill
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/e-way-bill/consignor/bill:
    post:
      tags:
        - E-Way Bill1
        - Consignor
      summary: Generate E-Way Bill
      operationId: generateEWayBill
      parameters:
        - name: authorization
          in: header
          description: >-
            E-Way Bill access token. For token-generation steps, refer to the
            [Generate E-Way Bill
            Session](/recipes/gst/authentication/generate_e_way_bill_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              description: JSON Body to generate E-Way Bill
              properties: {}
            examples:
              212 Invalid Consignee GSTIN:
                value:
                  supplyType: O
                  subSupplyType: '1'
                  subSupplyDesc: ''
                  docType: INV
                  docNo: 7001-8
                  docDate: 15/12/2017
                  fromGstin: 29AAACQ3770E000
                  fromTrdName: welton
                  fromAddr1: 2ND CROSS NO 59  19  A
                  fromAddr2: GROUND FLOOR OSBORNE ROAD
                  fromPlace: FRAZER TOWN
                  fromPincode: 560090
                  actFromStateCode: 29
                  fromStateCode: 29
                  toGstin: 02EHFPS5910D2Z0
                  toTrdName: sthuthya
                  toAddr1: Shree Nilaya
                  toAddr2: Dasarahosahalli
                  toPlace: Beml Nagar
                  toPincode: 560090
                  actToStateCode: 29
                  toStateCode: 27
                  transactionType: 4
                  otherValue: -100
                  totalValue: 56099
                  cgstValue: 0
                  sgstValue: 0
                  igstValue: 300.67
                  cessValue: 400.56
                  cessNonAdvolValue: 400
                  totInvValue: 68358
                  transporterId: 27AAACQ3770E004
                  transporterName: ''
                  transDocNo: ''
                  transMode: '1'
                  transDistance: '100'
                  transDocDate: ''
                  vehicleNo: PVC1234
                  vehicleType: R
                  itemList:
                    - productName: Wheat
                      productDesc: Wheat
                      hsnCode: 1001
                      quantity: 4
                      qtyUnit: BOX
                      cgstRate: 0
                      sgstRate: 0
                      igstRate: 3
                      cessRate: 3
                      cessNonadvol: 0
                      taxableAmount: 5609889
                summary: 212 Invalid Consignee GSTIN
              702 Distance between pincodes is too high or low:
                value:
                  supplyType: O
                  subSupplyType: '1'
                  subSupplyDesc: ''
                  docType: INV
                  docNo: 7001-8
                  docDate: 15/12/2017
                  fromGstin: 29AAACQ3770E000
                  fromTrdName: welton
                  fromAddr1: 2ND CROSS NO 59  19  A
                  fromAddr2: GROUND FLOOR OSBORNE ROAD
                  fromPlace: FRAZER TOWN
                  fromPincode: 400027
                  actFromStateCode: 27
                  fromStateCode: 27
                  toGstin: 27AAACQ3770E000
                  toTrdName: sthuthya
                  toAddr1: Shree Nilaya
                  toAddr2: Dasarahosahalli
                  toPlace: Beml Nagar
                  toPincode: 560090
                  actToStateCode: 29
                  toStateCode: 29
                  transactionType: 4
                  otherValue: -100
                  totalValue: 56099
                  cgstValue: 0
                  sgstValue: 0
                  igstValue: 300.67
                  cessValue: 400.56
                  cessNonAdvolValue: 400
                  totInvValue: 68358
                  transporterId: 27AAACQ3770E004
                  transporterName: ''
                  transDocNo: ''
                  transMode: '1'
                  transDistance: '100'
                  transDocDate: ''
                  vehicleNo: PVC1234
                  vehicleType: R
                  itemList:
                    - productName: Wheat
                      productDesc: Wheat
                      hsnCode: 1001
                      quantity: 4
                      qtyUnit: BOX
                      cgstRate: 0
                      sgstRate: 0
                      igstRate: 3
                      cessRate: 3
                      cessNonadvol: 0
                      taxableAmount: 5609889
                summary: 702 Distance between pincodes is too high or low
              200 EWB generated with alert:
                value:
                  supplyType: O
                  subSupplyType: '1'
                  subSupplyDesc: ''
                  docType: INV
                  docNo: 7001-8
                  docDate: 15/12/2017
                  fromGstin: 29AAACQ3770E000
                  fromTrdName: welton
                  fromAddr1: 2ND CROSS NO 59  19  A
                  fromAddr2: GROUND FLOOR OSBORNE ROAD
                  fromPlace: FRAZER TOWN
                  fromPincode: 400027
                  actFromStateCode: 27
                  fromStateCode: 27
                  toGstin: 27AAACQ3770E000
                  toTrdName: sthuthya
                  toAddr1: Shree Nilaya
                  toAddr2: Dasarahosahalli
                  toPlace: Beml Nagar
                  toPincode: 560090
                  actToStateCode: 29
                  toStateCode: 29
                  transactionType: 4
                  otherValue: -100
                  totalValue: 56099
                  cgstValue: 0
                  sgstValue: 0
                  igstValue: 300.67
                  cessValue: 400.56
                  cessNonAdvolValue: 400
                  totInvValue: 68358
                  transporterId: 27AAACQ3770E004
                  transporterName: ''
                  transDocNo: ''
                  transMode: '1'
                  transDistance: '1000'
                  transDocDate: ''
                  vehicleNo: PVC1234
                  vehicleType: R
                  itemList:
                    - productName: Wheat
                      productDesc: Wheat
                      hsnCode: 1001
                      quantity: 4
                      qtyUnit: BOX
                      cgstRate: 0
                      sgstRate: 0
                      igstRate: 3
                      cessRate: 3
                      cessNonadvol: 0
                      taxableAmount: 5609889
                summary: 200 EWB generated with alert
              604 Duplicate EWB:
                value:
                  supplyType: O
                  subSupplyType: '1'
                  subSupplyDesc: ''
                  docType: INV
                  docNo: 7001-8
                  docDate: 15/12/2017
                  fromGstin: 29AAACQ3770E000
                  fromTrdName: welton
                  fromAddr1: 2ND CROSS NO 59  19  A
                  fromAddr2: GROUND FLOOR OSBORNE ROAD
                  fromPlace: FRAZER TOWN
                  fromPincode: 400027
                  actFromStateCode: 27
                  fromStateCode: 27
                  toGstin: 27AAACQ3770E000
                  toTrdName: sthuthya
                  toAddr1: Shree Nilaya
                  toAddr2: Dasarahosahalli
                  toPlace: Beml Nagar
                  toPincode: 560090
                  actToStateCode: 29
                  toStateCode: 29
                  transactionType: 4
                  otherValue: -100
                  totalValue: 56099
                  cgstValue: 0
                  sgstValue: 0
                  igstValue: 300.67
                  cessValue: 400.56
                  cessNonAdvolValue: 400
                  totInvValue: 68358
                  transporterId: 27AAACQ3770E004
                  transporterName: ''
                  transDocNo: ''
                  transMode: '1'
                  transDistance: '1000'
                  transDocDate: ''
                  vehicleNo: PVC1234
                  vehicleType: R
                  itemList:
                    - productName: Wheat
                      productDesc: Wheat
                      hsnCode: 1001
                      quantity: 4
                      qtyUnit: BOX
                      cgstRate: 0
                      sgstRate: 0
                      igstRate: 3
                      cessRate: 3
                      cessNonadvol: 0
                      taxableAmount: 56099
                summary: 604 Duplicate EWB
              620 Invoice value cannot be less than sum of items:
                value:
                  supplyType: O
                  subSupplyType: '1'
                  subSupplyDesc: ''
                  docType: INV
                  docNo: 7001-11
                  docDate: 15/12/2017
                  fromGstin: 29AAACQ3770E000
                  fromTrdName: welton
                  fromAddr1: 2ND CROSS NO 59  19  A
                  fromAddr2: GROUND FLOOR OSBORNE ROAD
                  fromPlace: FRAZER TOWN
                  fromPincode: 400027
                  actFromStateCode: 27
                  fromStateCode: 27
                  toGstin: 27AAACQ3770E000
                  toTrdName: sthuthya
                  toAddr1: Shree Nilaya
                  toAddr2: Dasarahosahalli
                  toPlace: Beml Nagar
                  toPincode: 560090
                  actToStateCode: 29
                  toStateCode: 29
                  transactionType: 4
                  otherValue: -100
                  totalValue: 56099
                  cgstValue: 0
                  sgstValue: 0
                  igstValue: 1682.97
                  cessValue: 1682.97
                  cessNonAdvolValue: 400
                  totInvValue: 59464.94
                  transporterId: 27AAACQ3770E004
                  transporterName: ''
                  transDocNo: ''
                  transMode: '1'
                  transDistance: '1000'
                  transDocDate: ''
                  vehicleNo: PVC1234
                  vehicleType: R
                  itemList:
                    - productName: Wheat
                      productDesc: Wheat
                      hsnCode: 1001
                      quantity: 4
                      qtyUnit: BOX
                      cgstRate: 0
                      sgstRate: 0
                      igstRate: 3
                      cessRate: 3
                      cessNonadvol: 0
                      taxableAmount: 56099
                summary: 620 Invoice value cannot be less than sum of items
              200 EWB generated:
                value:
                  supplyType: O
                  subSupplyType: '1'
                  subSupplyDesc: ''
                  docType: INV
                  docNo: 7001-11
                  docDate: 15/12/2017
                  fromGstin: 29AAACQ3770E000
                  fromTrdName: welton
                  fromAddr1: 2ND CROSS NO 59  19  A
                  fromAddr2: GROUND FLOOR OSBORNE ROAD
                  fromPlace: FRAZER TOWN
                  fromPincode: 400027
                  actFromStateCode: 27
                  fromStateCode: 27
                  toGstin: 27AAACQ3770E000
                  toTrdName: sthuthya
                  toAddr1: Shree Nilaya
                  toAddr2: Dasarahosahalli
                  toPlace: Beml Nagar
                  toPincode: 560090
                  actToStateCode: 29
                  toStateCode: 29
                  transactionType: 4
                  otherValue: 0
                  totalValue: 56099
                  cgstValue: 0
                  sgstValue: 0
                  igstValue: 1682.97
                  cessValue: 1682.97
                  cessNonAdvolValue: 0
                  totInvValue: 59464.94
                  transporterId: 27AAACQ3770E004
                  transporterName: ''
                  transDocNo: ''
                  transMode: '1'
                  transDistance: '1000'
                  transDocDate: ''
                  vehicleNo: PVC1234
                  vehicleType: R
                  itemList:
                    - productName: Wheat
                      productDesc: Wheat
                      hsnCode: 1001
                      quantity: 4
                      qtyUnit: BOX
                      cgstRate: 0
                      sgstRate: 0
                      igstRate: 3
                      cessRate: 3
                      cessNonadvol: 0
                      taxableAmount: 56099
                summary: 200 EWB generated
              359 User GSTIN should match from GSTIN:
                value:
                  supplyType: O
                  subSupplyType: '1'
                  subSupplyDesc: ''
                  docType: INV
                  docNo: 7001-20
                  docDate: 01/05/2024
                  fromGstin: 27AAACQ3770E004
                  fromTrdName: welton
                  fromAddr1: 2ND CROSS NO 59  19  A
                  fromAddr2: GROUND FLOOR OSBORNE ROAD
                  fromPlace: FRAZER TOWN
                  fromPincode: 400027
                  actFromStateCode: 27
                  fromStateCode: 27
                  toGstin: 29AAACQ3770E000
                  toTrdName: sthuthya
                  toAddr1: Shree Nilaya
                  toAddr2: Dasarahosahalli
                  toPlace: Beml Nagar
                  toPincode: 560090
                  actToStateCode: 29
                  toStateCode: 29
                  transactionType: 4
                  otherValue: 0
                  totalValue: 56099
                  cgstValue: 0
                  sgstValue: 0
                  igstValue: 1682.97
                  cessValue: 1682.97
                  cessNonAdvolValue: 0
                  totInvValue: 59464.94
                  transporterId: 24AAACQ3770E003
                  transporterName: ''
                  transDocNo: ''
                  transMode: '1'
                  transDistance: '1000'
                  transDocDate: ''
                  vehicleNo: PVC1234
                  vehicleType: R
                  itemList:
                    - productName: Wheat
                      productDesc: Wheat
                      hsnCode: 1001
                      quantity: 4
                      qtyUnit: BOX
                      cgstRate: 0
                      sgstRate: 0
                      igstRate: 3
                      cessRate: 3
                      cessNonadvol: 0
                      taxableAmount: 56099
                summary: 359 User GSTIN should match from GSTIN
              619 Transporter Id is mandatory for Part A:
                value:
                  supplyType: O
                  subSupplyType: '1'
                  subSupplyDesc: ''
                  docType: INV
                  docNo: 7001-100
                  docDate: 15/12/2017
                  fromGstin: 27AAACQ3770E004
                  fromTrdName: welton
                  fromAddr1: 2ND CROSS NO 59  19  A
                  fromAddr2: GROUND FLOOR OSBORNE ROAD
                  fromPlace: FRAZER TOWN
                  fromPincode: 400027
                  actFromStateCode: 27
                  fromStateCode: 27
                  toGstin: 24AAACQ3770E003
                  toTrdName: sthuthya
                  toAddr1: Shree Nilaya
                  toAddr2: Dasarahosahalli
                  toPlace: Beml Nagar
                  toPincode: 560090
                  actToStateCode: 29
                  toStateCode: 29
                  transactionType: 4
                  otherValue: 0
                  totalValue: 56099
                  cgstValue: 0
                  sgstValue: 0
                  igstValue: 1682.97
                  cessValue: 1682.97
                  cessNonAdvolValue: 0
                  totInvValue: 59464.94
                  transDistance: '0'
                  itemList:
                    - productName: Wheat
                      productDesc: Wheat
                      hsnCode: 1001
                      quantity: 4
                      qtyUnit: BOX
                      cgstRate: 0
                      sgstRate: 0
                      igstRate: 3
                      cessRate: 3
                      cessNonadvol: 0
                      taxableAmount: 56099
                summary: 619 Transporter Id is mandatory for Part A
              Request Example:
                value:
                  supplyType: O
                  subSupplyType: '1'
                  subSupplyDesc: ''
                  docType: INV
                  docNo: 7001-11
                  docDate: 15/12/2017
                  fromGstin: 29AAACQ3770E000
                  fromTrdName: welton
                  fromAddr1: 2ND CROSS NO 59 19 A
                  fromAddr2: GROUND FLOOR OSBORNE ROAD
                  fromPlace: FRAZER TOWN
                  fromPincode: 400027
                  actFromStateCode: 27
                  fromStateCode: 27
                  toGstin: 27AAACQ3770E000
                  toTrdName: sthuthya
                  toAddr1: Shree Nilaya
                  toAddr2: Dasarahosahalli
                  toPlace: Beml Nagar
                  toPincode: 560090
                  actToStateCode: 29
                  toStateCode: 29
                  transactionType: 4
                  otherValue: 0
                  totalValue: 56099
                  cgstValue: 0
                  sgstValue: 0
                  igstValue: 1682.97
                  cessValue: 1682.97
                  cessNonAdvolValue: 0
                  totInvValue: 59464.94
                  transporterId: 27AAACQ3770E004
                  transporterName: ''
                  transDocNo: ''
                  transMode: '1'
                  transDistance: '1000'
                  transDocDate: ''
                  vehicleNo: PVC1234
                  vehicleType: R
                  itemList:
                    - productName: Wheat
                      productDesc: Wheat
                      hsnCode: 1001
                      quantity: 4
                      qtyUnit: BOX
                      cgstRate: 0
                      sgstRate: 0
                      igstRate: 3
                      cessRate: 3
                      cessNonadvol: 0
                      taxableAmount: 56099
                summary: Request Example
      responses:
        '200':
          description: >-
            212 Invalid Consignee GSTIN / 702 Distance between pincodes is too
            high or low / 200 EWB generated with alert / 604 Duplicate EWB / 620
            Invoice value cannot be less than sum of items / 200 EWB generated /
            359 User GSTIN should match from GSTIN / 619 Transporter Id is
            mandatory for Part A
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      alert:
                        type: string
                        nullable: true
                        example: null
                      data:
                        type: object
                        properties:
                          alert:
                            type: string
                            example: >-
                              Total invoice value is more than the sum of total
                              assessible value and tax values, 
                          ewayBillDate:
                            type: string
                            example: 01/05/2024 07:00:00 PM
                          ewayBillNo:
                            type: number
                            example: 291010077005
                          validUpto:
                            type: string
                            example: 06/05/2024 11:59:00 PM
                      error:
                        type: object
                        properties:
                          errorCodes:
                            type: string
                            example: 212,
                      info:
                        type: string
                        example: ''
                      status:
                        type: string
                        example: '0'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: 52d7e713-2b65-4a8f-9126-16af4e28ec59
              examples:
                212 Invalid Consignee GSTIN:
                  summary: 212 Invalid Consignee GSTIN
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: 212,
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: 52d7e713-2b65-4a8f-9126-16af4e28ec59
                702 Distance between pincodes is too high or low:
                  summary: 702 Distance between pincodes is too high or low
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: 702,
                      info: >-
                        , The distance between the pincodes given is too high or
                        low
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: aa389a61-b231-458e-9838-afa22d92525c
                200 EWB generated with alert:
                  summary: 200 EWB generated with alert
                  value:
                    code: 200
                    data:
                      alert: null
                      data:
                        alert: >-
                          Total invoice value is more than the sum of total
                          assessible value and tax values, 
                        ewayBillDate: 01/05/2024 07:00:00 PM
                        ewayBillNo: 291010077005
                        validUpto: 06/05/2024 11:59:00 PM
                      status: '1'
                    timestamp: 1763446641000
                    transaction_id: 6021ed55-c0e6-4899-bc08-010e3d276d1f
                604 Duplicate EWB:
                  summary: 604 Duplicate EWB
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: 604,
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: 6192cf5d-fd97-4447-a8e6-516e49df7135
                620 Invoice value cannot be less than sum of items:
                  summary: 620 Invoice value cannot be less than sum of items
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: '620'
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: bbcfda04-003b-47d7-b7f2-2c5b8585b2f7
                200 EWB generated:
                  summary: 200 EWB generated
                  value:
                    code: 200
                    data:
                      alert: null
                      data:
                        alert: ''
                        ewayBillDate: 01/05/2024 07:04:00 PM
                        ewayBillNo: 201010077008
                        validUpto: 06/05/2024 11:59:00 PM
                      status: '1'
                    timestamp: 1763446641000
                    transaction_id: 36c013cf-1fc3-4f4e-80e9-bd30ed519375
                359 User GSTIN should match from GSTIN:
                  summary: 359 User GSTIN should match from GSTIN
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: '359'
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: 826d7771-ea56-4419-852e-ff419b5e94bd
                619 Transporter Id is mandatory for Part A:
                  summary: 619 Transporter Id is mandatory for Part A
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: 619,
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: 00833a69-bea8-41d0-be40-ba5bd63b5ff0
          headers: {}
      deprecated: false
      security: []

````